> ## Documentation Index
> Fetch the complete documentation index at: https://arc.sdjz.wiki/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取当前原始配置



## OpenAPI

````yaml openapi/arc-daemon-control-plane.zh.openapi.yaml get /v1/config
openapi: 3.1.0
info:
  title: Arc 守护进程控制面 API
  version: 1.0.0
  license:
    name: Apache-2.0
    identifier: Apache-2.0
  description: |
    `arc-daemon` 控制面路由的 OpenAPI 定义，接口实现位于 `crates/arc-daemon/src/main.rs`，
    共享结构定义位于 `crates/arc-core/src/control.rs`。

    这个 API 与 `arc-gateway` 的控制面实现相互独立。
servers:
  - url: http://127.0.0.1:22100
security:
  - {}
paths:
  /v1/config:
    get:
      summary: 获取当前原始配置
      operationId: getDaemonConfig
      responses:
        '200':
          description: 守护进程原始配置
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArcConfigDocument'
        '400':
          description: 请求错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 内部错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ArcConfigDocument:
      type: object
      additionalProperties: true
      description: 原始 Arc 配置 JSON。
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string

````